extends Control


var taille_stock_balles: int = 42

@onready var stock_balles: Label = $StockBalles


func _ready() -> void:
	_montrer_taille_stock_balles()


func _montrer_taille_stock_balles() -> void:
	if not is_node_ready():
		return

	stock_balles.text = str(taille_stock_balles)


func _quand_nombre_balles_change(nb_balles: int) -> void:
	taille_stock_balles = nb_balles
	_montrer_taille_stock_balles()
